Subject: [net-next-2.6 PATCH 0/2] Start of work to cleanup ntuple filters

From: Alexander Duyck <[email-masked]>
Date: Fri, 08 Apr 2011 15:07:16 -0700

This patch series is the start of my work to cleanup ntuple filters and the
way they are implemented in ixgbe.  These first two patches lay the groundwork
for moving ixgbe over to using the network flow classifier interface instead
of the ntuple interface.

This will eventually allow for ixgbe to be able to maintain its own rule list,
add support for removal of filters, and will correct the multiple display
issues seen with ntuple filters.

---

Alexander Duyck (2):
      ethtool: add ntuple flow specifier data to network flow classifier
      ethtool: prevent null pointer dereference with NTUPLE set but no set_rx_ntuple

 include/linux/ethtool.h |   52 +++++++++++++++++++++++++++++------------------
 net/core/ethtool.c      |    3 +++
 net/socket.c            |   14 ++++++-------
 3 files changed, 42 insertions(+), 27 deletions(-)

--